## dbconfig-common 2.0.19

=== debian/changelog ===
dbconfig-common (2.0.19) unstable; urgency=medium

  [ Simon Hollenbach ]
  * Fix mysql grant for db names containing hyphens

 -- Paul Gevers <elbrus@debian.org>  Sat, 06 Mar 2021 20:56:28 +0100

=== debian/control ===
Source: dbconfig-common
Section: admin
Priority: optional
Maintainer: Paul Gevers <elbrus@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 debiandoc-sgml,
 dpkg (>= 1.17.11),
 ghostscript,
 po-debconf,
 texlive-fonts-recommended,
 texlive-latex-extra,
 texlive-latex-recommended
Standards-Version: 4.2.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/dbconfig-common.git
Vcs-Browser: https://salsa.debian.org/debian/dbconfig-common

Package: dbconfig-common
Architecture: all
Depends:
 ucf,
 ${misc:Depends}
Suggests:
 dbconfig-mysql | dbconfig-pgsql | dbconfig-sqlite3 | dbconfig-no-thanks
Breaks:
 bandwidthd-pgsql (<< 2.0.1+cvs20090917-9~)
Description: framework that helps packages to manage databases
 This package contains the core of the dbconfig-common framework. This
 framework presents a policy and implementation for managing various databases
 used by applications included in Debian packages.
 .
 It can:
  - support MySQL/MariaDB, PostgreSQL, and SQLite3 based applications;
  - create or remove databases and database users;
  - access local or remote databases;
  - upgrade/modify databases when upstream changes database structure;
  - generate config files in many formats with the database info;
  - import configs from packages previously managing databases on their own;
  - prompt users with a set of normalized, pre-translated questions;
  - handle failures gracefully, with an option to retry;
  - do all the hard work automatically;
  - work for package maintainers with little effort on their part;
  - work for local admins with little effort on their part;
  - comply with an agreed upon set of standards for behavior;
  - do absolutely nothing if that is the whim of the local admin;
  - perform all operations from within the standard flow of
    package management (no additional skill is required of the local
    admin).

Package: dbconfig-mysql
Architecture: all
Depends:
 dbconfig-common (>= 2),
 default-mysql-client | virtual-mysql-client,
 ${misc:Depends}
Suggests:
 default-mysql-server | virtual-mysql-server
Conflicts:
 dbconfig-no-thanks
Description: dbconfig-common MySQL/MariaDB support
 This package ensures MySQL/MariaDB support in the dbconfig-common framework,
 and should be in the depends list of packages that require MySQL support from
 dbconfig-common.
 .
 System administrators that don't want dbconfig-common to handle the database
 management should install dbconfig-no-thanks instead.

Package: dbconfig-pgsql
Architecture: all
Depends:
 dbconfig-common (>= 2),
 postgresql-client,
 ${misc:Depends}
Suggests:
 postgresql
Conflicts:
 dbconfig-no-thanks
Description: dbconfig-common PostgreSQL support
 This package ensures PostgreSQL support in the dbconfig-common framework, and
 should be in the depends list of packages that require PostgreSQL support from
 dbconfig-common.
 .
 System administrators that don't want dbconfig-common to handle the database
 management should install dbconfig-no-thanks instead.

Package: dbconfig-sqlite3
Architecture: all
Depends:
 dbconfig-common (>= 2),
 sqlite3,
 ${misc:Depends}
Conflicts:
 dbconfig-no-thanks
Description: dbconfig-common SQLite3 support
 This package ensures SQLite3 support in the dbconfig-common framework, and
 should be in the depends list of packages that require SQLite3 support from
 dbconfig-common.
 .
 System administrators that don't want dbconfig-common to handle the database
 management should install dbconfig-no-thanks instead.

Package: dbconfig-no-thanks
Architecture: all
Depends:
 dbconfig-common (>= 2),
 ${misc:Depends}
Conflicts:
 dbconfig-mysql,
 dbconfig-pgsql,
 dbconfig-sqlite,
 dbconfig-sqlite3
Description: dbconfig-common bypass
 If a package relies on the dbconfig-common framework for database setup and
 maintenance, installing dbconfig-no-thanks instead of one of dbconfig's
 database-specific packages will block this function. It is intended for cases
 where the system administrator desires or requires full control of the
 database or where dbconfig-common makes bad choices, and typically leaves
 the depending packages non-functional until manually configured.

## dbconfig-common 2.0.20

=== debian/changelog ===
dbconfig-common (2.0.20) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Guilhem Moulin ]
  * Replace `which` calls with `command -v`. (Closes: #995957)

 -- Paul Gevers <elbrus@debian.org>  Sun, 10 Oct 2021 21:48:00 +0200

## dbconfig-common 2.0.21

=== debian/changelog ===
dbconfig-common (2.0.21) unstable; urgency=medium

  [ Joerg Steffens ]
  * pgsql: add support for LC_COLLATE and LC_CTYPE (Closes: #1001810)

 -- Paul Gevers <elbrus@debian.org>  Fri, 17 Dec 2021 21:18:02 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends:
  debhelper-compat (= 12),
  debiandoc-sgml,
- dpkg (>= 1.17.11),
  ghostscript,
  po-debconf,
  texlive-fonts-recommended,
@@ -51,7 +50,7 @@
 Package: dbconfig-mysql
 Architecture: all
 Depends:
- dbconfig-common (>= 2),
+ dbconfig-common,
  default-mysql-client | virtual-mysql-client,
  ${misc:Depends}
 Suggests:
@@ -69,7 +68,7 @@
 Package: dbconfig-pgsql
 Architecture: all
 Depends:
- dbconfig-common (>= 2),
+ dbconfig-common,
  postgresql-client,
  ${misc:Depends}
 Suggests:
@@ -87,7 +86,7 @@
 Package: dbconfig-sqlite3
 Architecture: all
 Depends:
- dbconfig-common (>= 2),
+ dbconfig-common,
  sqlite3,
  ${misc:Depends}
 Conflicts:
@@ -103,7 +102,7 @@
 Package: dbconfig-no-thanks
 Architecture: all
 Depends:
- dbconfig-common (>= 2),
+ dbconfig-common,
  ${misc:Depends}
 Conflicts:
  dbconfig-mysql,

## dbconfig-common 2.0.22~bpo11+1

=== debian/changelog ===
dbconfig-common (2.0.22~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Paul Gevers <elbrus@debian.org>  Thu, 20 Oct 2022 09:15:41 +0200

dbconfig-common (2.0.22) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Paul Gevers ]
  * make postgresql user the owner of the database; postgresql changed its
    default for write access to databases (Closes: #1010923, #1021791)

 -- Paul Gevers <elbrus@debian.org>  Mon, 17 Oct 2022 21:31:16 +0200

## dbconfig-common 2.0.23~bpo11+1

=== debian/changelog ===
dbconfig-common (2.0.23~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Paul Gevers <elbrus@debian.org>  Wed, 08 Feb 2023 22:14:50 +0100

dbconfig-common (2.0.23) unstable; urgency=medium

  [ Jérôme Charaoui ]
  * Fix syntax error when invoking rmscript (Closes: #1029927)
  * Fix typo in error message

 -- Paul Gevers <elbrus@debian.org>  Tue, 31 Jan 2023 22:21:47 +0100

## dbconfig-common 2.0.24~bpo11+1

=== debian/changelog ===
dbconfig-common (2.0.24~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Paul Gevers <elbrus@debian.org>  Sat, 04 Mar 2023 21:04:57 +0100

dbconfig-common (2.0.24) unstable; urgency=medium

  * tests: adapt for new shunit2 which uncovered broken test logic

 -- Paul Gevers <elbrus@debian.org>  Thu, 16 Feb 2023 13:37:55 +0100

## dbconfig-common 2.0.24~pgdg20.04+~20230216.1251.gac7e636

=== debian/changelog ===
dbconfig-common (2.0.24~pgdg20.04+~20230216.1251.gac7e636) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 16 Feb 2023 13:37:55 +0100

=== examples/db-test-sqlite3-2.0/debian/control ===
Source: db-common-example
Section: misc
Priority: optional
Maintainer: Paul Gevers <elbrus@debian.org>
Build-Depends-Indep: debhelper (>= 9), dh-exec
Standards-Version: 3.9.6

Package: db-test-sqlite3
Architecture: all
Depends: dbconfig-sqlite3 | dbconfig-no-thanks,
 ${misc:Depends}
Description: a package to test dbconfig-common (sqlite3 version)
 This is a package to test the dbconfig-common package.
 .
 This version should work with the sqlite3 database engine

## dbconfig-common 2.0.24~pgdg20.04+1

=== debian/changelog ===
dbconfig-common (2.0.24~pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 16 Feb 2023 13:37:55 +0100

## dbconfig-common 2.0.24~pgdg22.04+~20230216.1251.gac7e636

=== debian/changelog ===
dbconfig-common (2.0.24~pgdg22.04+~20230216.1251.gac7e636) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 16 Feb 2023 13:37:55 +0100

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,6 @@
  ${misc:Depends}
 Suggests:
  dbconfig-mysql | dbconfig-pgsql | dbconfig-sqlite3 | dbconfig-no-thanks
-Breaks:
- bandwidthd-pgsql (<< 2.0.1+cvs20090917-9~)
 Description: framework that helps packages to manage databases
  This package contains the core of the dbconfig-common framework. This
  framework presents a policy and implementation for managing various databases

## dbconfig-common 2.0.24~pgdg22.04+1

=== debian/changelog ===
dbconfig-common (2.0.24~pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 16 Feb 2023 13:37:55 +0100

## dbconfig-common 2.0.24~pgdg110+~20230216.1251.gac7e636

=== debian/changelog ===
dbconfig-common (2.0.24~pgdg110+~20230216.1251.gac7e636) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 16 Feb 2023 13:37:55 +0100

## dbconfig-common 2.0.24~pgdg110+1

=== debian/changelog ===
dbconfig-common (2.0.24~pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 16 Feb 2023 13:37:55 +0100

## dbconfig-common 2.0.24

=== examples/db-test-multidbtype-2.0/debian/control ===
Source: db-common-example
Section: misc
Priority: optional
Maintainer: Paul Gevers <elbrus@debian.org>
Build-Depends-Indep: debhelper (>= 9), dh-exec
Standards-Version: 3.9.6

Package: db-test-multidbtype
Architecture: all
Depends: dbconfig-mysql | dbconfig-pgsql | dbconfig-sqlite3 | dbconfig-no-thanks,
 ${misc:Depends}
Description: a package to test dbconfig-common (generic version)
 This is a package to test the dbconfig-common package.
 .
 This version should work with any database supported by dbconfig-common.

=== examples/db-test-mysql-2.0/debian/control ===
Source: db-common-example
Section: misc
Priority: optional
Maintainer: Paul Gevers <elbrus@debian.org>
Build-Depends-Indep: debhelper (>= 9), dh-exec
Standards-Version: 3.9.6

Package: db-test-mysql
Architecture: all
Depends: dbconfig-mysql | dbconfig-no-thanks,
 ${misc:Depends}
Description: a package to test dbconfig-common (mysql version)
 This is a package to test the dbconfig-common package.
 .
 This version should work with mysql database servers.

=== examples/db-test-pgsql-2.0/debian/control ===
Source: db-common-example
Section: misc
Priority: optional
Maintainer: Paul Gevers <elbrus@debian.org>
Build-Depends-Indep: debhelper (>= 9), dh-exec
Standards-Version: 3.9.6

Package: db-test-pgsql
Architecture: all
Depends: dbconfig-pgsql | dbconfig-no-thanks,
 ${misc:Depends}
Description: a package to test dbconfig-common (pgsql version)
 This is a package to test the dbconfig-common package.
 .
 This version should work with postgresql database servers.

=== debian/tests/control ===
Test-Command: TMPDIR=${AUTOPKGTEST_TMP} test/runtests.sh
Depends: dbconfig-common, mksh, posh, shunit2, zsh
Restrictions: needs-root, breaks-testbed

Test-Command: TMPDIR=${AUTOPKGTEST_TMP} dbc_test_with_client=true test/runtests.sh
Depends: dbconfig-common, mksh, mysql-server, posh, postgresql, shunit2, zsh
Restrictions: needs-root, breaks-testbed, isolation-container, skip-not-installable

Test-Command: TMPDIR=${AUTOPKGTEST_TMP} dbc_test_with_client=true test/runtests.sh
Depends: dbconfig-common, mksh, mariadb-server, posh, postgresql, shunit2, zsh
Restrictions: needs-root, breaks-testbed, isolation-container, skip-not-installable

Tests: install-examples
Depends: build-essential, dbconfig-common, dbconfig-mysql, dbconfig-pgsql, dbconfig-sqlite3, debhelper, dh-exec, fakeroot, libdbd-mysql-perl, mysql-client, mysql-server, postgresql
Restrictions: needs-root, breaks-testbed, allow-stderr, isolation-container, skip-not-installable

Tests: install-examples
Depends: build-essential, dbconfig-common, dbconfig-mysql, dbconfig-pgsql, dbconfig-sqlite3, debhelper, dh-exec, fakeroot, libdbd-mysql-perl, mariadb-client, mariadb-server, postgresql
Restrictions: needs-root, breaks-testbed, allow-stderr, isolation-container, skip-not-installable

## dbconfig-common 2.0.25

=== doc/Makefile ===
# example Makefile for viewing/editing an encrypted file
TARGETS := dbconfig-common dbapp-policy

#EXTENSIONS := xml dvi html info ps pdf txt tov tex
EXTENSIONS := html ps pdf txt

#default: xml dvi html info ps pdf txt tov tex
default: ${EXTENSIONS}

xml:	${foreach t,${TARGETS},${t}.xml}
dvi:	${foreach t,${TARGETS},${t}.dvi}
html:	${foreach t,${TARGETS},${t}.html}
info:	${foreach t,${TARGETS},${t}.info}
ps:	${foreach t,${TARGETS},${t}.ps}
pdf:	${foreach t,${TARGETS},${t}.pdf}
txt:	${foreach t,${TARGETS},${t}.txt}
tov:	${foreach t,${TARGETS},${t}.tov}
tex:	${foreach t,${TARGETS},${t}.tex}

clean:	${foreach f, ${TARGETS}, ${f}-clean}
	
%-clean:
	rm -rf ${foreach ext,xml dvi html info ps pdf txt tov tex tpt, ${@:-clean=}.${ext}}

%.xml:	%.sgml
	debiandoc2docbookxml ${@:.xml=.sgml}

%.dvi:	%.sgml
	debiandoc2dvi ${@:.dvi=.sgml}

%.html:	%.sgml
	debiandoc2html ${@:.html=.sgml}

%.info:	%.sgml
	debiandoc2info ${@:.info=.sgml}

%.tex:	%.sgml
	debiandoc2latex ${@:.tex=.sgml}

%.ps:	%.sgml
	debiandoc2ps ${@:.ps=.sgml}
	rm -f head.tmp body.tmp

%.pdf:	%.sgml
	debiandoc2pdf ${@:.pdf=.sgml}
	rm -f ${@:.pdf=.tpt}

%.txt:	%.sgml
	debiandoc2text ${@:.txt=.sgml}

%.tov:	%.sgml
	debiandoc2textov ${@:.tov=.sgml}

=== debian/changelog ===
dbconfig-common (2.0.25) unstable; urgency=medium

  [ Kip Warner ]
  * Doc: add some explanation about how upgrade directory names are used

  [ Carles Pina i Estany ]
  * Update translation (Closes: #1091704)

  [ Paul Gevers ]
  * dpkg/config: drop ancient piece of code
  * Modernize examples a bit
  * Remove sqlite (not sqlite3) support; sqlite wasn't part of bookworm

  [ Remus-Gabriel Chelu ]
  * Add Romanian debconf translation (Closes: #1102584)

 -- Paul Gevers <elbrus@debian.org>  Sun, 27 Apr 2025 14:58:00 +0200

=== debian/control ===
--- 
+++ 
@@ -105,7 +105,6 @@
 Conflicts:
  dbconfig-mysql,
  dbconfig-pgsql,
- dbconfig-sqlite,
  dbconfig-sqlite3
 Description: dbconfig-common bypass
  If a package relies on the dbconfig-common framework for database setup and

=== examples/db-test-pgsql-2.0/debian/control ===
Source: db-common-example
Section: misc
Maintainer: Paul Gevers <elbrus@debian.org>
Build-Depends: debhelper-compat (= 13), dh-exec
Standards-Version: 4.7.2

Package: db-test-pgsql
Architecture: all
Depends: dbconfig-pgsql | dbconfig-no-thanks
Description: a package to test dbconfig-common (pgsql version)
 This is a package to test the dbconfig-common package.
 .
 This version should work with postgresql database servers.

=== examples/db-test-pgsql-migration-2.0/debian/control ===
Source: db-common-example
Section: misc
Maintainer: Paul Gevers <elbrus@debian.org>
Build-Depends: debhelper-compat (= 13), dh-exec
Standards-Version: 4.7.2

Package: db-test-pgsql-migration
Architecture: all
Depends: dbconfig-pgsql | dbconfig-no-thanks
Description: a package to test dbconfig-common (migration version)
 This is a package to test the dbconfig-common package.
 .
 This version should work with postgresql database servers, and
 also illustrates how to migrate a package that was previously
 not using dbconfig-common.

## dbconfig-common 2.0.25ubuntu1

=== debian/changelog ===
dbconfig-common (2.0.25ubuntu1) questing; urgency=medium

  * d/p/psql-identauth-no_app_passwd_query: don't query for app password with ident auth
  * d/p/psql-identauth-nohostname: don't set psql hostname when using ident auth

 -- Jonas Jelten <jonas.jelten@canonical.com>  Mon, 04 Aug 2025 16:28:55 +0200

=== examples/db-test-pgsql-2.2/debian/changelog ===
db-common-example (2.2) unstable; urgency=medium

  * upgrade of db-test-pgsql to show upgrade with substituion

 -- Joerg Steffens <joerg.steffens@bareos.com>  Mon, 22 May 2017 11:24:20 +0200

=== examples/db-test-pgsql-migration-1.9/debian/changelog ===
db-common-example (1.9) unstable; urgency=low

  * initial version to test migrating to dbconfig-common from a previously
    packaged program

 -- sean finney <seanius@debian.org>  Mon, 31 Jul 2006 23:44:20 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dbconfig-common
 Section: admin
 Priority: optional
-Maintainer: Paul Gevers <elbrus@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paul Gevers <elbrus@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
  debiandoc-sgml,

=== examples/db-test-multidbtype-2.0/debian/control ===
Source: db-common-example
Section: misc
Maintainer: Paul Gevers <elbrus@debian.org>
Build-Depends: debhelper-compat (= 13), dh-exec
Standards-Version: 4.7.2

Package: db-test-multidbtype
Architecture: all
Depends: dbconfig-mysql | dbconfig-pgsql | dbconfig-sqlite3 | dbconfig-no-thanks
Description: a package to test dbconfig-common (generic version)
 This is a package to test the dbconfig-common package.
 .
 This version should work with any database supported by dbconfig-common.

=== examples/db-test-mysql-2.0/debian/control ===
Source: db-common-example
Section: misc
Maintainer: Paul Gevers <elbrus@debian.org>
Build-Depends: debhelper-compat (= 13), dh-exec
Standards-Version: 4.7.2

Package: db-test-mysql
Architecture: all
Depends: dbconfig-mysql | dbconfig-no-thanks
Description: a package to test dbconfig-common (mysql version)
 This is a package to test the dbconfig-common package.
 .
 This version should work with mysql database servers.

=== examples/db-test-mysql-frontend-2.0/debian/control ===
Source: db-common-example
Section: misc
Maintainer: Paul Gevers <elbrus@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2

Package: db-test-mysql-frontend
Architecture: all
Depends: dbconfig-mysql | dbconfig-no-thanks
Description: a package to test dbconfig-common (mysql version)
 This is a package to test the dbconfig-common package.
 .
 This version is a read-only "frontend" application, and performs
 configuration/prompting without actually doing the database configuration.

=== examples/db-test-mysql-perl-2.0/debian/control ===
Source: db-common-example
Section: misc
Maintainer: Paul Gevers <elbrus@debian.org>
Build-Depends: debhelper-compat (= 13), dh-exec
Standards-Version: 4.7.2

Package: db-test-mysql-perl
Architecture: all
Depends: dbconfig-mysql | dbconfig-no-thanks, libdbd-mysql-perl,
 ${perl:Depends}
Description: a package to test dbconfig-common (mysql+perl version)
 This is a package to test the dbconfig-common package.
 .
 This version should work with mysql database servers, using a perl
 script instead of just sql code.

=== examples/db-test-pgsql-migration-1.9/debian/control ===
Source: db-common-example
Section: misc
Maintainer: Paul Gevers <elbrus@debian.org>
Build-Depends: debhelper-compat (= 13), dh-exec
Standards-Version: 4.7.2

Package: db-test-pgsql-migration
Architecture: all
Recommends: postgresql-client
Suggests: postgresql
Description: a package to test dbconfig-common (migration version)
 This is a package to test the dbconfig-common package.
 .
 This version should work with postgresql database servers, and
 also illustrates how to migrate a package that was previously
 not using dbconfig-common.

=== examples/db-test-sqlite3-2.0/debian/control ===
Source: db-common-example
Section: misc
Maintainer: Paul Gevers <elbrus@debian.org>
Build-Depends: debhelper-compat (= 13), dh-exec
Standards-Version: 4.7.2

Package: db-test-sqlite3
Architecture: all
Depends: dbconfig-sqlite3 | dbconfig-no-thanks
Description: a package to test dbconfig-common (sqlite3 version)
 This is a package to test the dbconfig-common package.
 .
 This version should work with the sqlite3 database engine

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# partially enable reproducible builds
export FORCE_SOURCE_DATE=1

%:
	dh ${@}

override_dh_auto_build-indep:
	make -C doc
	# The ordering of the files for processing depends on locale, so
	# set it for reproducible builds
	LC_ALL=C debian/credit-xlators > debian/TRANSLATORS

override_dh_clean:
	dh_clean
	debconf-updatepo
	make -C doc clean

override_dh_compress:
	dh_compress -Xusr/share/doc/dbconfig-common/examples

override_dh_installdocs:
	dh_installdocs --link-doc=dbconfig-common

=== examples/db-test-multidbtype-2.0/debian/rules ===
#!/usr/bin/make -f
# debian/rules for test-installdb package, by

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh ${@}

=== debian/tests/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
 Restrictions: needs-root, breaks-testbed, isolation-container, skip-not-installable
 
 Tests: install-examples
-Depends: build-essential, dbconfig-common, dbconfig-mysql, dbconfig-pgsql, dbconfig-sqlite3, debhelper, dh-exec, fakeroot, libdbd-mysql-perl, mysql-client, mysql-server, postgresql
+Depends: build-essential, dbconfig-common, dbconfig-mysql, dbconfig-pgsql, dbconfig-sqlite3, debhelper, dh-exec, libdbd-mysql-perl, mysql-client, mysql-server, postgresql
 Restrictions: needs-root, breaks-testbed, allow-stderr, isolation-container, skip-not-installable
 
 Tests: install-examples
-Depends: build-essential, dbconfig-common, dbconfig-mysql, dbconfig-pgsql, dbconfig-sqlite3, debhelper, dh-exec, fakeroot, libdbd-mysql-perl, mariadb-client, mariadb-server, postgresql
+Depends: build-essential, dbconfig-common, dbconfig-mysql, dbconfig-pgsql, dbconfig-sqlite3, debhelper, dh-exec, libdbd-mysql-perl, mariadb-client, mariadb-server, postgresql
 Restrictions: needs-root, breaks-testbed, allow-stderr, isolation-container, skip-not-installable
